Page MenuHomePhabricator

Visual diff: Linear diff doesn't enforce balanced content in removed/inserted sections, throwing exception when rendering
Closed, ResolvedPublic1 Story Points

Description

copy/paste from mw.org:

Steps to reproduce:

Go to :
https://en.wikipedia.org/w/index.php?title=Rafael_Bienvenido_Cruz&curid=47394743&diff=699616570&oldid=699149537&visualdiff=1&diffmode=visual

Click Visual
Console output:

 Expected closing for paragraph but got closing for mwReference 
load.php?debug=false&lang=en&modules=ext.visualEditor.core&skin=vector&version=11qjt8m:179 Uncaught Error

Event Timeline

Elitre created this task.Jul 27 2017, 4:09 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 27 2017, 4:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Normal priority.Aug 1 2017, 7:11 PM
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.

Interesting. This is another one of those cases (like historical reference diffs) where we rely on the assumption that the diff is between a document and some changes to it that have just been made in visual editor.

To solve this we'll have to beef up the linear differ to make it understand about balancing tags.

Correction: this isn't specific to historical diffs

Esanders renamed this task from Historical diff probably doesn't cope well with unbalanced or unclosed html or extension tags to Visual diff: Linear diff doesn't enforce balanced content in removed/inserted sections, throwing exception when rendering.Aug 22 2017, 1:27 PM
Esanders updated the task description. (Show Details)
Deskana set the point value for this task to 1.Aug 24 2017, 10:30 AM

Change 374340 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[VisualEditor/VisualEditor@master] VisualDiff: Don't diff close elements

https://gerrit.wikimedia.org/r/374340

Change 374340 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] VisualDiff: Don't diff close elements

https://gerrit.wikimedia.org/r/374340

Deskana closed this task as Resolved.Aug 30 2017, 6:49 PM
Deskana assigned this task to Tchanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 30 2017, 6:49 PM

Change 375045 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (7a8829509)

https://gerrit.wikimedia.org/r/375045

Change 375045 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (7a8829509)

https://gerrit.wikimedia.org/r/375045